[Launch]
ProgramExecutable=AnyVideoDownloaderPro\AnyVideoDownloaderPro.exe
WorkingDirectory=%PAL:AppDir%\AnyVideoDownloaderPro
WaitForExe1=AnyVideoConverter.exe
WaitForExe2=AnyVideoPlayer.exe
SinglePortableAppInstance=true
DirectoryMoveOK=yes
SupportsUNC=yes

[Activate]
Registry=true

[RegistryValueWrite]
HKCU\Software\Any Video Software\Any Video Player\Settings\UpdateCheck.Auto=REG_DWORD:0
HKCU\Software\Any Video Software\Any Video Downloader Pro\Settings\UpdateCheck.Auto=REG_DWORD:0
HKCU\Software\Any Video Software\Any Video Downloader Pro\Settings\AutoCheckUpdate=REG_DWORD:0

[RegistryKeys]
AnyVideoSoftware=HKCU\Software\Any Video Software
-=HKCU\Software\Microsoft\Direct3D\MostRecentApplication

[RegistryCleanupForce]
1=HKCU\Software\Classes\.download
2=HKCU\Software\Classes\AnyVideoSoftware.AnyVideoDownloaderPro.download
3=HKCU\Software\Classes\.playlist
4=HKCU\Software\Classes\AnyVideoSoftware.AnyVideoPlayer.playlist
5=HKCR\CLSID\{C7D55E60-9876-4f4c-AE02-EA050EE9FBB8}
6=HKCR\Wow6432Node\CLSID\{C7D55E60-9876-4f4c-AE02-EA050EE9FBB8}

[RegistryCleanupIfEmpty]
1=HKCU\Software\Any Video Software

[DirectoriesMove]
AnyVideoSoftware=%AppData%\Any Video Software

[DirectoriesCleanupIfEmpty]
1=%AppData%\Any Video Software

[FileWrite1]
Type=Replace
File=%PAL:DataDir%\settings\AnyVideoSoftware.reg
Find=%PAL:LastDrive%%PAL:LastPackagePartialDir:DoubleBackslash%\\
Replace=%PAL:Drive%%PAL:PackagePartialDir:DoubleBackslash%\\

[FileWrite2]
Type=Replace
File=%PAL:DataDir%\settings\AnyVideoSoftware.reg
Find=%PAL:LastPortableAppsBaseDir:DoubleBackslash%\\
Replace=%PAL:PortableAppsBaseDir:DoubleBackslash%\\

[FileWrite3]
Type=Replace
File=%PAL:DataDir%\settings\AnyVideoSoftware.reg
Find=%PAL:LastDrive%\\
Replace=%PAL:Drive%\\